#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const core_1 = require("../core");
const tsuml2_settings_1 = require("../core/tsuml2-settings");
const parse_settings_1 = require("../core/parse-settings");
(async () => {
    try {
        (0, parse_settings_1.parseSettingsFromArgs)(tsuml2_settings_1.SETTINGS);
        if (tsuml2_settings_1.SETTINGS.glob.length === 0) {
            console.log(chalk_1.default.redBright("Missing --glob"));
        }
        else {
            (0, core_1.createDiagram)(tsuml2_settings_1.SETTINGS);
        }
    }
    catch (e) {
        console.log(chalk_1.default.redBright(e), e);
    }
})();
//# sourceMappingURL=index.js.map