import { TsUML2Settings } from "./tsuml2-settings";
import { FileDeclaration } from "./model";
export declare function createDiagram(settings: TsUML2Settings): void;
/**
 * parse a typescript project
 * @param tsConfigPath path to a tsconfig.json file
 * @param pattern the glob pattern defining a scope for typescript files to include (i.e.: a subfolder of the project)
 * @returns
 */
export declare function parseProject(tsConfigPath: string, pattern: string): FileDeclaration[];
/**
 * get the nomnoml DSL representing the class diagram as a string
 * @param declarations
 * @param settings
 * @returns
 */
export declare function getNomnomlDSL(declarations: FileDeclaration[], settings: TsUML2Settings): string;
/**
 * get the mermaid DSL representing the class diagram as a string
 * @param declarations
 * @param settings
 * @returns
 */
export declare function getMermaidDSL(declarations: FileDeclaration[], settings: TsUML2Settings): string;
