export declare class TsUML2Settings {
    /**
     * required
     */
    glob: string;
    /**
     * the path to the tsconfig.json file
     */
    tsconfig: string;
    /**
     * the svg output file (with relative or absolute path)
     */
    outFile: string;
    /**
     * show property types
     */
    propertyTypes: boolean;
    /**
     * show private, protected, public, static modifiers
     */
    modifiers: boolean;
    /**
     * add type links
     */
    typeLinks: boolean;
    /**
     * nomnoml layouting and styling options
     */
    nomnoml: string[];
    /**
     * output file contain the DSL (nomnoml)
     */
    outDsl: string;
    /**
     * output file containing mermaid DSL
     */
    outMermaidDsl: string;
    /**
     * show associations between classes, interfaces, types and their member types
     */
    memberAssociations: boolean;
}
export declare const SETTINGS: TsUML2Settings;
